Bug 105360 - WARN_ON(i915_gem_object_has_pinned_pages(obj))
Summary: WARN_ON(i915_gem_object_has_pinned_pages(obj))
Status: RESOLVED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-06 09:11 UTC by remi ESSAISSI
Modified: 2019-06-26 21:43 UTC (History)
4 users (show)

See Also:
i915 platform: I965GM
i915 features: display/Other


Attachments
full dmesg (71.95 KB, text/plain)
2018-03-06 09:26 UTC, remi ESSAISSI
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description remi ESSAISSI 2018-03-06 09:11:05 UTC
[25814.043156] ------------[ cut here ]------------
[25814.043161] WARN_ON(i915_gem_object_has_pinned_pages(obj))
[25814.043373] WARNING: CPU: 1 PID: 27907 at /home/kernel/COD/linux/drivers/gpu/drm/i915/i915_gem.c:4736 __i915_gem_free_objects+0x2c2/0x2e0 [i915]
[25814.043375] Modules linked in: ccm pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) xt_tcpudp ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter rfcomm bnep btusb btrtl btbcm cdc_ether usbnet mii btintel cdc_wdm bluetooth cdc_acm ecdh_generic coretemp kvm_intel kvm irqbypass input_leds snd_hda_codec_conexant snd_hda_codec_generic wmi_bmof serio_raw snd_hda_intel snd_hda_codec lpc_ich arc4 snd_hda_core
[25814.043500]  iwldvm snd_hwdep thinkpad_acpi nvram mac80211 snd_pcm iwlwifi snd_seq_midi snd_seq_midi_event snd_rawmidi cfg80211 snd_seq snd_seq_device shpchp mei_me snd_timer mei mac_hid snd soundcore binfmt_misc sch_fq_codel parport_pc ppdev lp parport ip_tables x_tables autofs4 hid_generic usbhid hid i915 psmouse ahci libahci i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt e1000e fb_sys_fops wmi drm ptp pps_core video
[25814.043590] CPU: 1 PID: 27907 Comm: kworker/u8:0 Tainted: G           OE    4.16.0-994-lowlatency #201803032100
[25814.043593] Hardware name: LENOVO 7470WGU/7470WGU, BIOS 6DET72WW (3.22 ) 10/25/2012
[25814.043675] Workqueue: i915 __i915_gem_free_work [i915]
[25814.043758] RIP: 0010:__i915_gem_free_objects+0x2c2/0x2e0 [i915]
[25814.043761] RSP: 0018:ffffb76d8a48fe00 EFLAGS: 00010286
[25814.043767] RAX: 0000000000000000 RBX: ffff995ebf08ea00 RCX: ffffffff8f664b48
[25814.043770] RDX: 0000000000000001 RSI: 0000000000000096 RDI: 0000000000000283
[25814.043774] RBP: ffffb76d8a48fe48 R08: 00000000000003cb R09: ffffffff8fb7dc00
[25814.043778] R10: ffffb76d8a48fd78 R11: 0000000000000000 R12: ffff995ebf08eaf0
[25814.043781] R13: ffff995f6b078000 R14: ffff995f6b07dcf8 R15: ffff995f6b07dd5c
[25814.043786] FS:  0000000000000000(0000) GS:ffff995f7bc80000(0000) knlGS:0000000000000000
[25814.043790] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[25814.043794] CR2: 00007f3d775fd000 CR3: 000000001c80a000 CR4: 00000000000006e0
[25814.043797] Call Trace:
[25814.043884]  __i915_gem_free_work+0x67/0xa0 [i915]
[25814.043895]  process_one_work+0x1d5/0x3f0
[25814.043901]  worker_thread+0x32/0x400
[25814.043908]  kthread+0x121/0x140
[25814.043913]  ? process_one_work+0x3f0/0x3f0
[25814.043919]  ? _kthread_create_worker_on_cpu+0x60/0x60
[25814.043926]  ? do_syscall_64+0x73/0x130
[25814.043931]  ? SyS_exit_group+0x14/0x20
[25814.043939]  ret_from_fork+0x35/0x40
[25814.043945] Code: e6 65 ff 0d 41 fb df 3f 0f 85 cb fd ff ff e8 b3 ce fe cd e9 c1 fd ff ff 48 c7 c6 78 5f 30 c0 48 c7 c7 ec 72 2f c0 e8 5e 62 07 ce <0f> 0b c7 83 c0 01 00 00 00 00 00 00 e9 74 fe ff ff 0f 1f 00 66 
[25814.044090] WARNING: CPU: 1 PID: 27907 at /home/kernel/COD/linux/drivers/gpu/drm/i915/i915_gem.c:4736 __i915_gem_free_objects+0x2c2/0x2e0 [i915]
[25814.044090] ---[ end trace 863305808f31bcd0 ]---
Comment 1 Chris Wilson 2018-03-06 09:19:12 UTC
This is a very late warning, it doesn't tell us what or who was causing the leak. Please attach the full dmesg, preferable with extra debugging (although which drm.debug level you need will be hard to tell in advance); and what you were doing to trigger a leak.
Comment 2 remi ESSAISSI 2018-03-06 09:26:34 UTC
Created attachment 137815 [details]
full dmesg

here is full dmesg

thank you
Comment 3 remi ESSAISSI 2018-03-06 09:28:11 UTC
actions that might be related:

using latest plasma/kde
runing Falkon to view youtube .
Comment 4 Jani Saarinen 2018-03-29 07:10:27 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 5 Jani Saarinen 2018-04-24 06:59:29 UTC
Chris, any advice to proceed here?
Comment 6 Lakshmi 2018-09-07 13:25:23 UTC
Chris, how to go forward with this bug?
Comment 7 Francesco Balestrieri 2019-03-25 09:59:38 UTC
Most likely source of the leak is display, needs investigation from that side.
Comment 8 Chris Wilson 2019-06-26 21:43:00 UTC
Warning has since been removed, the transient leak can live on in blissful ignorance.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.